using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ConfectioneryContracts.ViewModels;
using ConfectioneryContracts.SearchModels;
using ConfectioneryContracts.BindingModels;

namespace ConfectioneryContracts.StoragesContracts
{
    public interface IMessageInfoStorage
    {
        List<MessageInfoViewModel> GetFullList();
        List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);
        MessageInfoViewModel? GetElement(MessageInfoSearchModel model);
        MessageInfoViewModel? Insert(MessageInfoBindingModel model);
    }
}
